.pra-menu-item {
  &--small {
    --pra-menu-item-size-factor: 4;
  }
  &--medium {
    --pra-menu-item-size-factor: 8;
  }
  &--large {
    --pra-menu-item-size-factor: 12;
  }
  &--extra-large {
    --pra-menu-item-size-factor: 16;
  }

  align-items: center;
  color: var(--pra-color-primary-600);
  display: grid;
  gap: 12px;
  grid-template-columns: 1fr;
  grid-template-rows: calc(var(--pra-menu-item-size-factor, 8) * 8px) 24px;
  justify-content: center;

  &:hover {
    cursor: pointer;
  }
  .pra-menu-item-icon {
    align-items: center;
    background-color: #f2f8ff;
    block-size: calc(var(--pra-menu-item-size-factor, 8) * 6px);
    border-radius: 50%;
    display: flex;
    inline-size: calc(var(--pra-menu-item-size-factor, 8) * 6px);
    justify-content: center;
    margin-block: auto;
    margin-inline: auto;
    padding-block: 8px;
    padding-inline: 8px;
  }
  .pra-menu-item-image {
    align-items: center;
    block-size: calc(var(--pra-menu-item-size-factor, 8) * 8px);
    border-radius: 12px;
    display: flex;
    inline-size: calc(var(--pra-menu-item-size-factor, 8) * 8px);
    justify-content: center;
    margin-block: auto;
    margin-inline: auto;
    object-fit: cover;
  }
  .pra-menu-item-label {
    font-family: var(--pra-typography-font-family-secondary);
    font-size: 16px;
    font-weight: 700;
    min-block-size: 24px;
    text-align: center;
  }
  &--vertical {
    inline-size: calc(var(--pra-menu-item-size-factor, 8) * 12px);
    min-inline-size: calc(var(--pra-menu-item-size-factor, 8) * 12px);
    .pra-menu-item-label {
      -webkit-box-orient: vertical;
      /* stylelint-disable value-no-vendor-prefix */
      display: -webkit-box;
      justify-content: center;
      /* stylelint-enable value-no-vendor-prefix */
      -webkit-line-clamp: 2;
      line-height: 24px;
      max-block-size: calc(var(--pra-menu-item-size-factor, 8) * 12px);
      overflow: hidden;
      text-overflow: ellipsis;
    }
  }
  &--horizontal {
    grid-template-columns: calc(var(--pra-menu-item-size-factor, 8) * 8px) 1fr;
    grid-template-rows: 1fr;
    justify-content: start;
    max-inline-size: 100%;
    .pra-menu-item-label {
      text-align: start;
    }
  }
}
